#
# spec file for package pf_ring (Version 2.6.32)
#
#
# norootforbuild
#
%define relid	4.7.2
Name:		ixgbe
BuildRequires:	kernel-source kernel-syms module-init-tools
Summary:	PF_RING enabled ixgbe driver
Version:	3.3.9
Release:	%{relid}.1.1
Group:		System/Kernel
License:	GPL v2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source:		PF_RING-%{relid}.tar.bz2
Source1:	preamble
Source100:	%{name}.changes
Autoreqprov:	on
%suse_kernel_module_package -p %_sourcedir/preamble kdump um ec2

%description
This package contains a kernel module for pf_ring.

%package KMP
Summary:	PF_RING enabled ixbe driver
Group:	System/Kernel

%description KMP
This package contains a kernel module for ixgbe. 

%prep
%setup -q -n PF_RING-%{relid}

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
		M=$PWD/obj/$flavor/drivers/intel/ixgbe/ixgbe-3.3.9-DNA/src
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
if [ $flavor != debug ] ; then
        find . -iname "*.ko" -exec strip --strip-debug {} \;
fi
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
		M=$PWD/obj/$flavor/drivers/intel/ixgbe/ixgbe-3.3.9-DNA/src
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 31 2011 cs@linux-administrator.com
- update to release 4.7.2
* Sun Jul 24 2011 cs@linux-administrator.com
- update to release 4.7.1
* Mon Nov 29 2010 cs@linux-administrator.com
- update to svn release 4421
* Sat Nov  6 2010 cs@linux-administrator.com
- update to svn release 4395.
* Wed Nov  3 2010 cs@linux-administrator.com
- initial build
